<xml> </xml>

db4o |

# ExtDb4o Members

ExtDb4o overview

#### Public Static Methods

openMemoryFile | opens an com.db4o.ObjectContainer for in-memory use . In-memory ObjectContainers are useful for maximum performance on small databases, for swapping objects or for storing db4o format data to other media or other databases. Be aware of the danger of running into OutOfMemory problems or complete loss of all data, in case of hardware or JVM failures.

#### Public Instance Constructors

ExtDb4o Constructor | Initializes a new instance of the ExtDb4o class.

#### Public Instance Methods

Equals (inherited from Object) |
GetHashCode (inherited from Object) |
GetType (inherited from Object) |
ToString (inherited from Object) |

#### See Also

ExtDb4o Class | com.db4o.ext Namespace